#include <cmath>
#include "f2c.h"

extern "C" {
double d_sign(doublereal *a, doublereal *b) {
   double x;
   x = (*a >= 0 ? *a : - *a);
   return *b >= 0 ? x : -x;
}

// yes.. this is how f2c does it. with double as intermediate and return type.
double r_sign(real *a, real *b) {
   double x;
   x = (*a >= 0 ? *a : - *a);
   return *b >= 0 ? x : -x;
}

double d_imag(doublecomplex *z) { return z->i; }
double r_imag(complex *z) { return z->i; }

double pow_ri(real *ap, integer *bp) { return std::pow(*ap, *bp); }
double pow_di(doublereal *ap, integer *bp) { return std::pow(*ap, *bp); }
double pow_dd(doublereal *ap, doublereal *bp) { return std::pow(*ap, *bp); }
integer pow_ii(integer *ap, integer *bp) { return (integer)std::pow(*ap, *bp); }

integer s_wsfe(cilist *) { return 0; }
integer do_fio(integer *, char *, ftnlen) { return 0; }
integer e_wsfe(void) { return 0; }

// is that really right? seems like complete overkill. this is how libf2c does it.
// note also that the type is wrong (real instead of double real)
integer i_nint(real *x) {return (integer)((*x >= 0)? (std::floor(*x + .5)) : (-std::floor(.5 - *x))); };


#define log10e 0.43429448190325182765
double d_lg10(doublereal *x){ return log10e * std::log(*x);}


}