#!/bin/bash
# -lboost_program_options might need a package to be installed (part of
#   boost C++ libraries).

# this build WMME with BLAS subroutines from the Eigen 3 matrix library, and
# some hacked f2c'd netlib LAPACK routines and support functions I made myself.
#
# linked via 'gcc' instead of 'c++', because there are also some C files in there.
gcc -o wmme -Ofast -DNDEBUG -DUSE_CTINT1E_H -DHAVE_GRID_KERNEL -fopenmp -DNO_OVERWRITE -Ieigen -Ieigen/f2c_lapack -Ieigen/blas src/*.cpp eigen/blas/*.cpp eigen/blas/f2c/*.c eigen/f2c_lapack/*.c* -lboost_program_options -lstdc++ -lm

# if gcc returned 0, most likely everything went right. Print a comment to say so.
if [ $? -eq 0 ]; then
   echo " Build finished. Try running './wmme' or 'python rhf_in_python_via_wmme_module.py'."
fi
